---
title: ProgressEvent.initProgressEvent()
slug: Web/API/ProgressEvent/initProgressEvent
tags:
  - API
  - Deprecated
  - Method
  - Progress Events
  - ProgressEvent
---
<div>{{apiref("DOM Events")}} {{deprecated_header}}{{non-standard_header}}</div>

<p>The <code><strong>ProgressEvent.initProgressEvent()</strong></code> method Initializes an animation event created using the deprecated {{domxref("Document.createEvent()", "Document.createEvent(\"ProgressEvent\")")}} method.</p>

<p><code>ProgressEvent</code> created that way are untrusted.</p>

<div class="note">
<p><strong>Note:</strong> this method has been dropped during the standard process. It has been deprecated and removed from most implementation. Do not use it anymore, use the standard constructor, {{domxref("ProgressEvent.ProgressEvent", "ProgressEvent()")}}, to create a synthetic {{domxref("ProgressEvent")}}</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Progress.initProgressEvent(<var>typeArg</var>, <var>canBubbleArg</var>, <var>cancelableArg</var>, <var>lengthComputable</var>, <var>loaded</var>, <var>total</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>typeArg</em></dt>
 <dd>Is a {{domxref("DOMString")}} identifying the specific type of animation event that occurred. The following values are allowed:
 <table class="standard-table">
  <thead>
   <tr>
    <th scope="col">Value</th>
    <th scope="col">Meaning</th>
   </tr>
  </thead>
  <tbody>
   <tr>
    <td><code>loadstart</code></td>
    <td>The operation has started.</td>
   </tr>
   <tr>
    <td><code>progress</code></td>
    <td>The operation still is in progress.</td>
   </tr>
   <tr>
    <td><code>error</code></td>
    <td>The operation failed and didn't complete.</td>
   </tr>
   <tr>
    <td><code>abort</code></td>
    <td>The operation was cancelled and didn't complete.</td>
   </tr>
   <tr>
    <td><code>load</code></td>
    <td>The operation completed.</td>
   </tr>
   <tr>
    <td><code>loadend</code></td>
    <td>The operation stopped.</td>
   </tr>
  </tbody>
 </table>
 </dd>
 <dt><em>canBubbleArg</em></dt>
 <dd>Is a {{domxref("Boolean")}} flag indicating if the event can bubble (<code>true</code>) or not (<code>false)</code>.</dd>
 <dt><em>cancelableArg</em></dt>
 <dd>Is a {{domxref("Boolean")}} flag indicating if the event associated action can be avoided (<code>true</code>) or not (<code>false)</code>.</dd>
 <dt><em>lengthComputable</em></dt>
 <dd>Is a {{domxref("Boolean")}} flag indicating if the total work to be done, and the amount of work already done, by the underlying process is calculable. In other words, it tells if the progress is measurable or not.</dd>
 <dt><em>loaded</em></dt>
 <dd>Is an <code>unsigned long long</code> representing the amount of work already performed by the underlying process. The ratio of work done can be calculated with the property and <code>ProgressEvent.total</code>. When downloading a resource using HTTP, this only represent the part of the content itself, not headers and other overhead.</dd>
 <dt><em>total</em></dt>
 <dd>Is an <code>unsigned long long</code> representing the total amount of work that the underlying process is in the progress of performing. When downloading a resource using HTTP, this only represent the content itself, not headers and other overhead.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<p>This feature does not exist in any specifications.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ProgressEvent.initProgressEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("ProgressEvent")}} interface it belongs to.</li>
</ul>
